Subject: Re: [PATCH] net: ethernet: stmicro: stmmac: Fix compile error when STMMAC_XMIT_DEBUG used

From: Giuseppe CAVALLARO <[email-masked]>
Date: Thu, 13 Jun 2013 11:56:33 +0200

Hello David
On 6/13/2013 10:31 AM, David Miller wrote:
> From: <[email-masked]>
> Date: Wed, 12 Jun 2013 11:05:03 -0500
>
>> From: Dinh Nguyen <[email-masked]>
>>
>> drivers/net/ethernet/stmicro/stmmac/stmmac_main.c: In function:
>> stmmac_xmit drivers/net/ethernet/stmicro/stmmac/stmmac_main.c:1902:74:
>> error: expected ) before __func__
>>
>> Signed-off-by: Dinh Nguyen <[email-masked]>
>> Cc: Giuseppe Cavallaro <[email-masked]>
>> CC: David S. Miller <[email-masked]>
>
> Applied, but this debugging mechanism is completely unacceptable.

I agree with you, I do not like it too

this debug code is quite old and fixed to the initial driver version.
I had used it to the initial debug so I must rework it (also because
debug has to be guarantee w/o errors and w/o ifdef proliferation)

I'll prepare a patch asap.

Peppe

>
> We have a dynamic, run time, way to do stuff like this without
> peppering up a driver with gross ifdefs.
>
> This driver must be converted over to use "netif_msg_*()" et al.
> to guard message logging of different types of events.
>
>